import { useSearchParams } from 'react-router-dom';
import { useEffect, useState } from 'react';
import { SystemManageAPI } from '~/api';
const CompanyDetail = () => {
  const [searchParams] = useSearchParams();
  const [companyId, setCompanyId] = useState<number>(-1);

  //单位详情
  const getCompanyDetailInfo = (id: number) => {
    SystemManageAPI.getCompanyInfoById({ id }).then(({ result }) => {});
  };

  useEffect(() => {
    setCompanyId(Number(searchParams.get('id')));
    getCompanyDetailInfo(Number(searchParams.get('id')));
  }, []);

  return (
    <div className='company-detail'>
      <div className='company-detail-info'></div>
    </div>
  );
};
export default CompanyDetail;
